<?xml version="1.0" encoding="utf-8"?>
<configuration>
  <startup>
    <supportedRuntime version="v4.0" sku=".NETFramework,Version=v4.7.2"/>
  </startup>
  <connectionStrings>
    <add name="ANADB" connectionString="server=.;uid=sa;pwd=159753!@#;database=MOBILL"/>
    <add name="SIRKETDB" connectionString="server=.;uid=sa;pwd=159753!@#;database=FURKAN"/>
  </connectionStrings>
  <system.serviceModel>
    <services>
      <!-- This section is optional with the new configuration model
           introduced in .NET Framework 4. -->
      <service behaviorConfiguration="SSOServiceBehavior" name="MobillSync.SSO">
        <endpoint address="" binding="webHttpBinding" behaviorConfiguration="web" contract="MobillSync.ISSO"/>
        <host>
          <baseAddresses>
            <add baseAddress="http://localhost:9000/SSO"/>
          </baseAddresses>
        </host>
      </service><service behaviorConfiguration="AdisyonServiceBehavior" name="MobillSync.Adisyon">
        <endpoint address="" binding="webHttpBinding" behaviorConfiguration="web" contract="MobillSync.IAdisyon"/>
        <host>
          <baseAddresses>
            <add baseAddress="http://localhost:9000/"/>
          </baseAddresses>
        </host>
      </service>
      <service behaviorConfiguration="RaporServiceBehavior" name="MobillSync.Rapor">
        <endpoint address="" binding="webHttpBinding" behaviorConfiguration="web" contract="MobillSync.IRapor"/>
        <host>
          <baseAddresses>
            <add baseAddress="http://localhost:9000/Rapor"/>
          </baseAddresses>
        </host>
      </service>
      <service behaviorConfiguration="TransferServiceBehavior" name="MobillSync.Transfer">
        <endpoint address="" binding="webHttpBinding" behaviorConfiguration="web" contract="MobillSync.ITransfer"/>
        <host>
          <baseAddresses>
            <add baseAddress="http://localhost:9000/Transfer"/>
          </baseAddresses>
        </host>
      </service>
      <service behaviorConfiguration="YSServiceBehavior" name="MobillSync.YemekSepeti">
        <endpoint address="" binding="webHttpBinding" behaviorConfiguration="web" contract="MobillSync.IYemekSepeti"/>
        <host>
          <baseAddresses>
            <add baseAddress="http://localhost:9000/YemekSepeti"/>
          </baseAddresses>
        </host>
      </service>
    </services>
    <behaviors>
      <serviceBehaviors>
        <behavior name="AdisyonServiceBehavior">
          <serviceMetadata httpGetEnabled="false"/>
          <serviceDebug includeExceptionDetailInFaults="False" httpHelpPageEnabled="false"/>
        </behavior>
        <behavior name="RaporServiceBehavior">
          <serviceMetadata httpGetEnabled="false"/>
          <serviceDebug includeExceptionDetailInFaults="False" httpHelpPageEnabled="false"/>
        </behavior>
        <behavior name="TransferServiceBehavior">
          <serviceMetadata httpGetEnabled="false"/>
          <serviceDebug includeExceptionDetailInFaults="False" httpHelpPageEnabled="false"/>
        </behavior>
        <behavior name="SSOServiceBehavior">
          <serviceMetadata httpGetEnabled="false"/>
          <serviceDebug includeExceptionDetailInFaults="False" httpHelpPageEnabled="false"/>
        </behavior>
        <behavior name="YSServiceBehavior">
          <serviceMetadata httpGetEnabled="false"/>
          <serviceDebug includeExceptionDetailInFaults="False" httpHelpPageEnabled="false"/>
        </behavior>
      </serviceBehaviors>
      <endpointBehaviors>
        <behavior name="web">
          <webHttp/>
        </behavior>
      </endpointBehaviors>
    </behaviors>
    <bindings>
      <webHttpBinding>
        <binding maxReceivedMessageSize="2147483647">
          <readerQuotas/>
        </binding>
      </webHttpBinding>
    </bindings>
    <standardEndpoints>
      <webHttpEndpoint>
        <!-- the "" standard endpoint is used by WebServiceHost for auto creating a web endpoint. -->
        <standardEndpoint name="MobillSync" helpEnabled="true" automaticFormatSelectionEnabled="true"/>
      </webHttpEndpoint>
    </standardEndpoints>
    <client>
      <endpoint address="http://messaging.yemeksepeti.com/messagingwebservice/integration.asmx" binding="webHttpBinding" bindingConfiguration="IntegrationSoap" contract="WSYS.IntegrationSoap" name="IntegrationSoap"/>
    </client>
  </system.serviceModel>
  <runtime>
    <assemblyBinding xmlns="urn:schemas-microsoft-com:asm.v1">
      <dependentAssembly>
        <assemblyIdentity name="Newtonsoft.Json" publicKeyToken="30ad4fe6b2a6aeed" culture="neutral"/>
        <bindingRedirect oldVersion="0.0.0.0-10.0.0.0" newVersion="10.0.0.0"/>
      </dependentAssembly>
    </assemblyBinding>
  </runtime>
</configuration>
